Bug 1480436 - [abrt] emacs: AREF(): emacs-25.2 killed by signal 11
[abrt] emacs: AREF(): emacs-25.2 killed by signal 11
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Synacek
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:2c3b0f70d362107291eac8fd2bc...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-11 02:02 EDT by Tim Wegener
Modified: 2018-05-29 07:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 07:46:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (231.37 KB, text/plain)
2017-08-11 02:02 EDT, Tim Wegener
no flags Details
File: cgroup (133 bytes, text/plain)
2017-08-11 02:02 EDT, Tim Wegener
no flags Details
File: core_backtrace (79.96 KB, text/plain)
2017-08-11 02:02 EDT, Tim Wegener
no flags Details
File: cpuinfo (1.25 KB, text/plain)
2017-08-11 02:02 EDT, Tim Wegener
no flags Details
File: dso_list (14.27 KB, text/plain)
2017-08-11 02:02 EDT, Tim Wegener
no flags Details
File: environ (973 bytes, text/plain)
2017-08-11 02:02 EDT, Tim Wegener
no flags Details
File: exploitable (82 bytes, text/plain)
2017-08-11 02:03 EDT, Tim Wegener
no flags Details
File: limits (1.29 KB, text/plain)
2017-08-11 02:03 EDT, Tim Wegener
no flags Details
File: maps (67.46 KB, text/plain)
2017-08-11 02:03 EDT, Tim Wegener
no flags Details
File: open_fds (1.27 KB, text/plain)
2017-08-11 02:03 EDT, Tim Wegener
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2017-08-11 02:03 EDT, Tim Wegener
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-08-11 02:03 EDT, Tim Wegener
no flags Details

  None (edit)
Description Tim Wegener 2017-08-11 02:02:40 EDT
Description of problem:
One of my buffers was editing a file on a remote machine (via tramp presumably).
I did 'git commit' from the command line which tried to run 'emacsclient' for the commit message.
At that point emacs hung.
After waiting for a while, I killed it from the command line using 'kill' (default sigterm).
At that point the notification from abrt about the segfault appeared.

Version-Release number of selected component:
emacs-25.2-3.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        emacs
crash_function: AREF
executable:     /usr/bin/emacs-25.2
journald_cursor: s=6ae83b04b3c84b86a44aa4b447e042bd;i=2364;b=0b40fcf26cd84e33aed0d480f5abe935;m=9be43cb58;t=556739214e9d5;x=a2253bcb9672052a
kernel:         4.11.11-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 AREF at ../../src/lisp.h:1530
 #1 HASH_INDEX at ../../src/lisp.h:1999
 #2 hash_lookup at ../../src/fns.c:3950
 #3 Fgethash at ../../src/fns.c:4621
 #4 Ffuncall at ../../src/eval.c:2706
 #5 exec_byte_code at ../../src/bytecode.c:880
 #6 funcall_lambda at ../../src/eval.c:2929
 #7 Ffuncall at ../../src/eval.c:2760
 #8 call2 at ../../src/eval.c:2566
 #9 Fmaphash at ../../src/fns.c:4666
Comment 1 Tim Wegener 2017-08-11 02:02:48 EDT
Created attachment 1311960 [details]
File: backtrace
Comment 2 Tim Wegener 2017-08-11 02:02:50 EDT
Created attachment 1311961 [details]
File: cgroup
Comment 3 Tim Wegener 2017-08-11 02:02:53 EDT
Created attachment 1311962 [details]
File: core_backtrace
Comment 4 Tim Wegener 2017-08-11 02:02:54 EDT
Created attachment 1311963 [details]
File: cpuinfo
Comment 5 Tim Wegener 2017-08-11 02:02:56 EDT
Created attachment 1311964 [details]
File: dso_list
Comment 6 Tim Wegener 2017-08-11 02:02:58 EDT
Created attachment 1311965 [details]
File: environ
Comment 7 Tim Wegener 2017-08-11 02:03:00 EDT
Created attachment 1311966 [details]
File: exploitable
Comment 8 Tim Wegener 2017-08-11 02:03:02 EDT
Created attachment 1311967 [details]
File: limits
Comment 9 Tim Wegener 2017-08-11 02:03:04 EDT
Created attachment 1311968 [details]
File: maps
Comment 10 Tim Wegener 2017-08-11 02:03:06 EDT
Created attachment 1311969 [details]
File: open_fds
Comment 11 Tim Wegener 2017-08-11 02:03:08 EDT
Created attachment 1311970 [details]
File: proc_pid_status
Comment 12 Tim Wegener 2017-08-11 02:03:09 EDT
Created attachment 1311971 [details]
File: var_log_messages
Comment 13 Fedora End Of Life 2018-05-03 04:20:51 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2018-05-29 07:46:24 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.